org.apache.xmlbeans.impl.xb.xsdschema

## Interface IncludeDocument.Include

All Superinterfaces:
  Annotated, OpenAttrs, XmlObject, XmlTokenSource

All Known Implementing Classes:
  IncludeDocumentImpl.IncludeImpl

Enclosing interface:
  IncludeDocument

    public static interface IncludeDocument.Include
    extends Annotated

An XML include(@http://www.w3.org/2001/XMLSchema). This is a complex type.

### Field Summary

Fields
`static ElementFactory<IncludeDocument.Include>` `Factory`
`static SchemaType` `type`

### Fields inherited from interface org.apache.xmlbeans.XmlObject

`EQUAL, GREATER_THAN, LESS_THAN, NOT_EQUAL`

### Method Summary

All Methods Instance Methods Abstract Methods
`String` `getSchemaLocation()` Gets the "schemaLocation" attribute
`void` `setSchemaLocation(String schemaLocation)` Sets the "schemaLocation" attribute
`XmlAnyURI` `xgetSchemaLocation()` Gets (as xml) the "schemaLocation" attribute
`void` `xsetSchemaLocation(XmlAnyURI schemaLocation)` Sets (as xml) the "schemaLocation" attribute

### Methods inherited from interface org.apache.xmlbeans.impl.xb.xsdschema.Annotated

`addNewAnnotation, getAnnotation, getId, isSetAnnotation, isSetId, setAnnotation, setId, unsetAnnotation, unsetId, xgetId, xsetId`

### Methods inherited from interface org.apache.xmlbeans.XmlObject

`changeType, compareTo, compareValue, copy, copy, execQuery, execQuery, isImmutable, isNil, schemaType, selectAttribute, selectAttribute, selectAttributes, selectChildren, selectChildren, selectChildren, selectPath, selectPath, set, setNil, substitute, toString, validate, validate, valueEquals, valueHashCode`

### Methods inherited from interface org.apache.xmlbeans.XmlTokenSource

`documentProperties, dump, getDomNode, monitor, newCursor, newDomNode, newDomNode, newInputStream, newInputStream, newReader, newReader, newXMLStreamReader, newXMLStreamReader, save, save, save, save, save, save, save, save, xmlText, xmlText`

### Field Detail

#### Factory

    static final ElementFactory<IncludeDocument.Include> Factory

#### type

    static final SchemaType type

### Method Detail

#### getSchemaLocation

    String getSchemaLocation()

Gets the "schemaLocation" attribute

#### xgetSchemaLocation

    XmlAnyURI xgetSchemaLocation()

Gets (as xml) the "schemaLocation" attribute

#### setSchemaLocation

    void setSchemaLocation(String schemaLocation)

Sets the "schemaLocation" attribute

#### xsetSchemaLocation

    void xsetSchemaLocation(XmlAnyURI schemaLocation)

Sets (as xml) the "schemaLocation" attribute